### Enumeration

# Gio DriveStartStopType

since: 2.22

#### Declaration

    enum Gio.DriveStartStopType

#### Description

Enumeration describing how a drive can be started/stopped.

Available since: 2.22

#### Members

`G_DRIVE_START_STOP_TYPE_UNKNOWN`

  Unknown or drive doesn’t support start/stop.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 2.22
`G_DRIVE_START_STOP_TYPE_SHUTDOWN`

  The stop method will physically shut down the drive and e.g. power down the port the drive is attached to.

  - Value: `1`
  - Nickname: `shutdown`
  - Available since: 2.22
`G_DRIVE_START_STOP_TYPE_NETWORK`

  The start/stop methods are used for connecting/disconnect to the drive over the network.

  - Value: `2`
  - Nickname: `network`
  - Available since: 2.22
`G_DRIVE_START_STOP_TYPE_MULTIDISK`

  The start/stop methods will assemble/disassemble a virtual drive from several physical drives.

  - Value: `3`
  - Nickname: `multidisk`
  - Available since: 2.22
`G_DRIVE_START_STOP_TYPE_PASSWORD`

  The start/stop methods will unlock/lock the disk (for example using the ATA SECURITY UNLOCK DEVICE command)

  - Value: `4`
  - Nickname: `password`
  - Available since: 2.22